# zabbix-pkg cookbook

Installs and configure zabbix server and agent from packages available from Zabbix SIA official packages.

## Supported Platforms

* Ubuntu 14.04
* Debian 7


## Recipes

### default

Run setup_repository, server_postgres, php_frontend recipes, and optionally configures database and webserver if attributes ```node['zabbix']['include_postgresql']``` and ```node['zabbix']['include_apache2']``` are true.

### setup_repository

Configures apt repository for the current version of zabbix.

### server_postgres

Installs zabbix server package, postgres version.

### php_frontend

Installs zabbix frontend package and configures it.

### dependency_postgresql

Installs and configures a local postgres server for you.

### dependency_apache2

Installs and configure a local apache2 webserver with php support and specific zabbix tuning.

## License and Authors

Author:: Giovanni Toraldo (giovanni.toraldo@cloudesire.com)

Code and inspiration have been grabbed from the original https://github.com/laradji/zabbix cookbook, that supported only source installs and contains a dependencies hell to be actually usable.
