
zabbix_version = '2.4'
zabbix_package = '2.4-1'

remote_file "#{Chef::Config[:file_cache_path]}/zabbix-release.deb" do
  source "http://repo.zabbix.com/zabbix/#{zabbix_version}/#{node['platform']}/pool/main/z/zabbix-release/zabbix-release_#{zabbix_package}+#{node['lsb']['codename']}_all.deb"
  not_if "dpkg -l| grep zabbix-release| grep #{zabbix_package}"
  notifies :install, 'dpkg_package[zabbix-release]', :immediately
end

dpkg_package "zabbix-release" do |variable|
  source "#{Chef::Config[:file_cache_path]}/zabbix-release.deb"
  notifies :run, 'execute[apt-get update]', :immediately
  action :nothing
end
